<template>
    <div class="modal fade" id="largeModal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="title" id="largeModalLabel">
                        {{
                            fields.modal.edit_image_title
                        }}
                    </h4>
                </div>
                <div class="modal-body">
                    <div class="container row">
                        <div class="col-6 text-center">
                            <div class="form-group">
                                <input
                                    type="file"
                                    name=""
                                    class="form-control"
                                    id="subirImagen"
                                />
                            </div>
                            <div id="editorImagen"></div>
                        </div>
                        <div class="col-6 text-center">
                            <canvas id="previewImagen"></canvas>

                            <input
                                v-model="img"
                                type="hidden"
                                id="codeImagen"
                            />
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button
                        type="button"
                        class="btn btn-danger waves-effect"
                        data-dismiss="modal"
                    >
                        {{fields.modal.edit_image_close}}
                    </button>
                    <button
                        type="button"
                        @click.prevent="load"
                        class="btn btn-default btn-round waves-effect"
                    >
                        {{fields.modal.edit_image_save}}
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props: ["users", "trans"],
    mounted() {},
    data() {
        return {
            img: "",
            user: this.users,
            fields: this.trans
        };
    },
    methods: {
        load() {
            let img = document.getElementById("codeImagen").value;
            let data = {
                img_profile: img,
                user_id: this.user
            };
            
            axios
                .post("/api/users/information", data)
                .then(res => {
                    console.log(res);
                    if (res.status == 200) {
                        window.location.reload();
                    }
                })
                .catch(err => {
                    console.error(err);
                });
        }
    }
};
</script>
